/*
 * mediareader.h: a class that reads media from database
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _MEDIAREADER_H
#define _MEDIAREADER_H
#include "dbreader.h"
#include "mediaitem.h"

class cMediaReader : public cDbReader<cMenuMediaItem> {
typedef cDbReader<cMenuMediaItem> Super;	
public: 
  cMediaReader(int);
  cMediaReader(int, int);
  cMediaReader(char *, char *);
 ~cMediaReader();

  cMenuMediaItem * Read();
  };
#endif
